Name:             python-glanceclient
Epoch:            1
Version:          0.12.0
Release:          1%{?dist}
Summary:          Python API and CLI for OpenStack Glance

Group:            Development/Languages
License:          ASL 2.0
URL:              http://github.com/openstack/python-glanceclient
Source0:          https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=0.12.0+1
#
Patch0001: 0001-Remove-runtime-dependency-on-python-pbr.patch

BuildArch:        noarch
BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-d2to1
BuildRequires:    python-pbr
BuildRequires:    python-sphinx10

Requires:         python-argparse
Requires:         python-httplib2
Requires:         python-keystoneclient
Requires:         python-prettytable
Requires:         python-setuptools
Requires:         python-warlock
Requires:         pyOpenSSL

%description
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.


%package doc
Summary:          Documentation for OpenStack Nova API Client
Group:            Documentation

BuildRequires:    python-sphinx10

%description      doc
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.

This package contains auto-generated documentation.


%prep
%setup -q

%patch0001 -p1

# We provide version like this in order to remove runtime dep on pbr.
sed -i s/REDHATGLANCECLIENTVERSION/%{version}/ glanceclient/__init__.py

# Remove bundled egg-info
rm -rf python_glanceclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py
rm -rf {,test-}requirements.txt

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-1.0-build -b html doc/source html
sphinx-1.0-build -b man doc/source man

install -p -D -m 644 man/glance.1 %{buildroot}%{_mandir}/man1/glance.1


%files
%doc README.rst
%doc LICENSE
%{_bindir}/glance
%{python_sitelib}/glanceclient
%{python_sitelib}/*.egg-info
%{_mandir}/man1/glance.1*

%files doc
%doc html


%changelog
* Tue Nov 19 2013 Jakub Ruzicka <jruzicka@redhat.com> 1:0.12.0-1
- Update to upstream 0.12.0

* Wed Aug 14 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.10.0-1
- Havana release.
- Update to upstream 0.10.0.
- Remove runtime dependency on python-pbr.
- Add doc package.
- Include new upstream man page.
- New BuildRequires: python2-devel, python-d2to1, python-pbr
- Remove python-keystoneclient version cap.

* Tue May 07 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.9.0-1
- Grizzly release.
- Update to 0.9.0.
- Include selected fixes. (#923844)
- Add help2man generated manpage.
- versioninfo is gone from tarball, generate it.
- Add python-argparse dependency.

* Wed Mar 27 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.8.0-4
- Terminate on keyboard interrupt at the top level. (#893041)
- Add Requires: pyOpenSSL. (#928440)

* Wed Mar 13 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.8.0-3
- Didn't update chagnelog, rectifying.

* Wed Mar 13 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.8.0-2
- Gracefully terminate on keyboard interrupt.

* Thu Mar 07 2013 Jakub Ruzicka <jruzicka@redhat.com> - 1:0.8.0-1
- Update to 0.8.0
- Switch from tarballs.openstack.org to pypi sources

* Wed Feb 13 2013 Alan Pevec <apevec@redhat.com> 1:0.5.1-2
- update keystoneclient dependency

* Sat Sep 15 2012 Alan Pevec <apevec@redhat.com> 1:0.5.1-1
- Update to 0.5.1

* Wed Aug 22 2012 Alan Pevec <apevec@redhat.com> 1:0.4.1-1
- Add dependency on python-setuptools (#850844)
- Revert client script rename, old glance client is now deprecated.
- New upstream release.

* Fri Aug 03 2012 Alan Pevec <apevec@redhat.com> 2012.2-0.3.f1
- rename client script to avoid conflict with old glance client

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012.2-0.2.f1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Pádraig Brady <P@draigBrady.com> 2012.2-0.1.f1
- Initial (folsom-1) release
